# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::CSS2CounterReset Class Reference

The `CSS2CounterReset` interface represents a simple value for the counter-reset CSS Level 2 property. More...

`#include <css_extensions.h>`

List of all members.

## Public Member Functions

| CSS2CounterReset (const CSS2CounterReset &other)
| CSS2CounterReset (CSS2CounterResetImpl *impl)
CSS2CounterReset & | operator= (const CSS2CounterReset &other)
DOM::DOMString | identifier () const
| The element name.
void | setIdentifier (const DOM::DOMString &)
| see identifier
short | reset () const
| The reset (default value is 0).
void | setReset (const short)
| see reset

## Detailed Description

The `CSS2CounterReset` interface represents a simple value for the counter-reset CSS Level 2 property.

Definition at line 505 of file css_extensions.h.

## Member Function Documentation

DOMString CSS2CounterReset::identifier | ( |  | ) | const

| The element name. Definition at line 306 of file css_extensions.cpp.

void CSS2CounterReset::setIdentifier | ( | const DOM::DOMString & |  | ) |

see identifier

Exceptions:

  DOMException | SYNTAX_ERR: Raised if the specified identifier has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this identifier is readonly.

Definition at line 312 of file css_extensions.cpp.

short CSS2CounterReset::reset | ( |  | ) | const

| The reset (default value is 0). Definition at line 317 of file css_extensions.cpp.

void DOM::CSS2CounterReset::setReset | ( | const | short | ) |

see reset

Exceptions:

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this identifier is readonly.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:20 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001